## org.eclipse.amp.amf.acore.edit.commands.test
Class PrePostCondition

    java.lang.Object
      org.eclipse.amp.amf.acore.edit.commands.test.PrePostCondition

All Implemented Interfaces:
  PrePostAsserts

Direct Known Subclasses:
  CommandTransformer, NewAgentCondition, NewContextMemberGenCondition, SetLabelPropogationCondition

    public class PrePostCondition

extends java.lang.Object
implements PrePostAsserts

Constructor Summary
`PrePostCondition()`

Method Summary
`SAttribute` `agAttr(int ind)`
`AGroup` `agentRootAct()`
`AInput` `agInput(int ind)`
`AQuery` `agQuery()`
`SAttribute` `attr(int ind)`
`org.eclipse.emf.edit.domain.EditingDomain` `getDomain()`
`SContext` `getModel()`
`SAgent` `memAgent()`
`SContext` `memContext()`
`void` `postCondition()`
`void` `preCondition()`
`AGroup` `rootAct()`
`void` `setDomain(org.eclipse.emf.edit.domain.EditingDomain domain)`
`void` `setModel(SContext model)`
`void` `setTestCase(CommandTest t)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PrePostCondition

    public PrePostCondition()

Method Detail

### preCondition

    public void preCondition()

  Specified by:
    `preCondition` in interface `PrePostAsserts`

### postCondition

    public void postCondition()

  Specified by:
    `postCondition` in interface `PrePostAsserts`

### getDomain

    public org.eclipse.emf.edit.domain.EditingDomain getDomain()

### setDomain

    public void setDomain(org.eclipse.emf.edit.domain.EditingDomain domain)

### getModel

    public SContext getModel()

### attr

    public SAttribute attr(int ind)

### agAttr

    public SAttribute agAttr(int ind)

### agInput

    public AInput agInput(int ind)

### agQuery

    public AQuery agQuery()

### rootAct

    public AGroup rootAct()

### agentRootAct

    public AGroup agentRootAct()

### memAgent

    public SAgent memAgent()

### memContext

    public SContext memContext()

### setModel

    public void setModel(SContext model)

### setTestCase

    public void setTestCase(CommandTest t)